# Data-driven Identification of Idioms in Song Lyrics

Miriam Amin, Leipzig University, Leipzig, Germany,  miriam_amin@web.de  
Peter Fankhauser, Leibniz Institute For The German Language, Mannheim, Germany, fankhauser@ids-mannheim.de  
Marc Kupietz, Leibniz Institute For The German Language, Mannheim, Germany, kupietz@ids-mannheim.de  
Roman Schneider, Leibniz Institute For The German Language, Mannheim, Germany, schneider@ids-mannheim.de  

## About
This repository contains the data and source code of the analysis published in *Amin, Fankhauser, Kupietz, Schneider, 2021: Data-driven Identification of Idioms in Song Lyrics. Proceedings of the 17th Workshop on Multiword Expressions (MWE 2021), Special Interest Group on the Lexicon (SIGLEX) of the Association for Computational Linguistics (ACL), colocated with ACL-IJCNLP 2021, Bangkok, Thailand*.
Download link: TBA

## Abstract
The automatic recognition of idioms poses a challenging problem for NLP applications. Whereas native speakers can intuitively handle multiword expressions whose compositional meanings are hard to trace back to individual word semantics, there is still ample scope for improvement regarding computational approaches. We assume that idiomatic constructions can be characterized by gradual intensities of semantic non-compositionality, formal fixedness, and unusual usage context, and introduce a number of measures for these characteristics, comprising count-based and predictive collocation measures together with measures of context (un)similarity. We evaluate our approach on a manually labelled gold standard, derived from a corpus of German pop lyrics. To this end, we apply a Random Forest classifier to analyze the individual contribution of features for automatically detecting idioms, and study the trade-off between recall and precision. Finally, we evaluate the classifier on an independent dataset of idioms extracted from a list of Wikipedia idioms, achieving state-of-the-art accuracy.

## How to run the pipeline
We publish our pipeline as a [Jupyter Notebook](https://jupyter.org). In order to run it, simply run the notebook `feature_selection_and_analysis_for_publication.ipynb`. 

## How to cite
TBA